Bug 491530 - Review Request: chisholm-letterslaughing-fonts - Decorative/LED sans-serif font
Review Request: chisholm-letterslaughing-fonts - Decorative/LED sans-serif font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 14:19 EDT by Ankur Sinha (FranciscoD)
Modified: 2009-05-06 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: 20030323-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2009-03-22 14:19:05 EDT
Spec URL: http://ankursinha.fedorapeople.org/letterslaughing_fonts/letterslaughing-fonts.spec

SRPM URL: http://ankursinha.fedorapeople.org/letterslaughing_fonts/letterslaughing-fonts-1.0-1.fc10.src.rpm

Description: 
Letters Laughing is a decorative/LED sans-serif font
Comment 1 Nicolas Mailhot 2009-03-22 14:50:12 EDT
Initial review:

1. MUST: rename the package to chisholm-xxx to be consistent with "to be continued" font

2. MUST: register the font as fantasy, really, this is not a general-purpose font at all (also please use the same casing as the font files use, I don't know if fontconfig is case sensitive or not best avoid problems)

3. MUST: there is no clear version in the font files, so use the timestamp of the most recent file as version (19970902)

4. SHOULD: ask upstream to add a detached .txt licensing file to its zip (the font itself says "all rights reserved", and if the web site ever disappears we won't have any licensing grant trace anywhere)

5. SHOULD: ask usptream to use different family names for the three fonts and not invent weird styles like "at their Execution". They'll drive normal software like OpenOffice mad (yes I know this would make it a multifont package which is a bit harder to create but this is the right thing to do)
Comment 2 Ankur Sinha (FranciscoD) 2009-03-23 00:03:38 EDT
hi,

The wishlist page for the font said :"Letters Laughing is a decorative/LED sans-serif font."  That's why i had registered it as sans-serif.. 

He'll add an OFL to the zip.. As for renaming the styles, he said he couldnt do that.. Do i make this a multi spec with these families ? 


Ankur
Comment 3 Ankur Sinha (FranciscoD) 2009-03-23 04:20:59 EDT
hi,

this is what i got for the licensing, please advise.. 

"As I stated in my previous email, the license is included in the font
headers. 

You may verify this with the following command:

grep -a -B 6 -A 84 'SIL OPEN FONT LICENSE' *.ttf

This is the standard way that the OFL is attached to fonts, and it's
how my other fonts that have already been packaged for Fedora have
been licensed."

regards,

Ankur
Comment 4 Nicolas Mailhot 2009-03-24 17:18:20 EDT
(In reply to comment #3)

> You may verify this with the following command:
> 
> grep -a -B 6 -A 84 'SIL OPEN FONT LICENSE' *.ttf


Check this and you'll see this is missing in the ttf in your package. Maybe you didn't package the same version upstream uses (and anyway a detached txt file is much better)
Comment 5 Nicolas Mailhot 2009-03-24 17:20:30 EDT
(In reply to comment #2)
> hi,
> 
> The wishlist page for the font said :"Letters Laughing is a decorative/LED
> sans-serif font."  That's why i had registered it as sans-serif.. 

The wishlist pages are not problem-free, they're only as good as the original reported made them, so as packager you need to exercise caution and check the info provided here is correct when packaging.

> He'll add an OFL to the zip.. As for renaming the styles, he said he couldnt do
> that.. Do i make this a multi spec with these families ? 

If upstream does not want to change the styles we certainly should not do it in Fedora
Comment 6 Ankur Sinha (FranciscoD) 2009-03-25 03:59:52 EDT
(In reply to comment #4)
> (In reply to comment #3)
> 
> > You may verify this with the following command:
> > 
> > grep -a -B 6 -A 84 'SIL OPEN FONT LICENSE' *.ttf
> 
> 
> Check this and you'll see this is missing in the ttf in your package. Maybe you
> didn't package the same version upstream uses (and anyway a detached txt file
> is much better)  

hi,

I had used the link on the wishlist page for the package.. He directed me to another link which has "updated packages", I'll upload the packages with this new source today.


(In reply to comment #5)

okay, so i use the simple spec to or a multi spec with his styles?
Comment 7 Nicolas Mailhot 2009-03-25 04:19:03 EDT
If the font files do not declare different family names, only different styles, you should use the simple spec
Comment 9 Nicolas Mailhot 2009-04-01 15:43:32 EDT
This one is a go. Though I'm sure someone will report someday weird behaviours in apps du to the strange family/style names. You'll need to relay upstream then.

⑆⑆⑆ APPROVED ⑆⑆⑆

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging a new Fedora font.
Comment 10 Ankur Sinha (FranciscoD) 2009-04-04 22:37:11 EDT
New Package CVS Request
=======================
Package Name: chisholm-letterslaughing-fonts
Short Description: Letters Laughing is a decorative/LED sans-serif font 
Owners: ankursinha
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 11 Kevin Fenzi 2009-04-06 23:21:46 EDT
cvs done.
Comment 12 Fedora Update System 2009-04-08 03:18:13 EDT
chisholm-letterslaughing-fonts-20030323-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/chisholm-letterslaughing-fonts-20030323-1.fc9
Comment 13 Fedora Update System 2009-04-08 03:19:36 EDT
chisholm-letterslaughing-fonts-20030323-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/chisholm-letterslaughing-fonts-20030323-1.fc10
Comment 14 Fedora Update System 2009-04-09 12:10:00 EDT
chisholm-letterslaughing-fonts-20030323-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update chisholm-letterslaughing-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3452
Comment 15 Fedora Update System 2009-04-09 12:13:26 EDT
chisholm-letterslaughing-fonts-20030323-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update chisholm-letterslaughing-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3465
Comment 16 Fedora Update System 2009-05-06 19:25:34 EDT
chisholm-letterslaughing-fonts-20030323-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-06 19:30:58 EDT
chisholm-letterslaughing-fonts-20030323-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.